window.SYS_CONST = {
  OPT_TYPE: {ADD: 1, MODIFY: 2},
  REQUEST: {
    // SUCCEED: '000',
    SUCCEED: '200',
    // CONTROLLER_ERROR: '004',
    CONTROLLER_ERROR: '400',
    NOT_LOGIN: '401',
    NOT_AUTHORITY: '403'
  },
  CODE: {
    CODE_TYPE: 'SYS0001',
    SYS_AVAILABLE_STATUS: 'SYS0002',
    TEMPLATE_PARAM_TYPE: 'SYS0003', // 系统模板参数类型 1 整型 2 字符串 3 富文本 4 图片
    APP_TYPE: 'SYS0006', // App类型 1.用户端 2.管理端
    SYS_CLIENT_TYPE: 'SYS0007', // 客户端类型 1.android 2.ios
    USER_SEX: 'SYS0008',
    POINT_CHANGE:'SYS0030',//积分变动类型
    MODULE_GROUP: "SYS0009", // 模块分组 1 社区服务 2 其他服务
    AIO_SIZE: "SYS0137", // 模块分组 1 社区服务 2 其他服务
  },

  UPLOAD_TYPE: {
    IMG: 'img',
    ATTACH: 'attach',
  },

  APP_MODULE_TYPE:{ //1 业主段;2管理端
    PROPRIETOR:1,
    ADMINSTRATOR:2
  },

  //客户端类型 1.android 2.ios
  SYS_CLIENT_TYPE:{ //1 业主段;2管理端
    ANDROID:1,
    IOS:2
  },


  MONEY_CHANGE_TYPE_V: { // 1扣费；2充值
    REDUCE: 1,
    ADD: 2
  },

  AVAILABLE_STATUS: { // 1启用；2禁用
    AVAILABLE: 1,
    DISABLE: 2
  },
  TEMPLATE_PARAM_TYPE: { // 系统模板参数类型 1 整型 2 字符串 3 富文本 4 图片 5文件
    INT: 1,
    STR: 2,
    RICH: 3,
    IMG:4,
    FILE: 5,
  },

  COURSE_STATUS: { // 学员开班状态： 10未开班，20已开班，30已取消
    WAIT: 10,
    OPENED: 20,
    CANCLE: 30,
  },
  USER_SEX: { // 性别 1:男 2:女 3:其他
    MALE: 1,
    FEMALE: 2,
    OTHER: 3
  },

  SMS_STATUS_TYPE: {
    SUCCESS: 1,
    FAILURE: 2,
  }
}

window.mapKeyToList = function (map) {
  let keyList = []
  for (let key in map) {
    keyList.push(key)
  }
  return keyList;
}